## labplot 1.6.0.1

=== cephes/CMakeLists.txt ===
set(cephes_SRC acosh.c fresnl.c incbi.c polevl.c stdtr.c airy.c const.c
gamma.c isnan.c log2.c polyn.c struve.c asinh.c dawsn.c gdtr.c iv.c psi.c
unity.c atanh.c ellie.c hyp2f1.c j0.c revers.c yn.c beta.c ellik.c hyperg.c
j1.c rgamma.c zeta.c cbrt.c ellpe.c i0.c jn.c round.c zetac.c ellpk.c i1.c
jv.c mtherr.c chbevl.c expn.c igam.c k0.c ndtr.c shichi.c chdtr.c fac.c
igami.c k1.c ndtri.c sici.c fdtr.c incbet.c kn.c pdtr.c spence.c )


add_library (LabPlotcephes SHARED ${cephes_SRC})

set_target_properties(LabPlotcephes PROPERTIES VERSION 1.5.0 SOVERSION 1 )

install(TARGETS LabPlotcephes DESTINATION lib)
