=== src/CMakeLists.txt ===
set(LabPlot_SRC qjp2io.cc qtiffio.cc parser.c
AddGraphDialog.cc AnnotateValues.cc ArrangePlotDialog.cc Arrow.cc AverageListDialog.cc AxesDialog.cc Axis.cc
CapabilityListDialog.cc ColormapReader.cc
CompressListDialog.cc ConfigureDialog.cc ConvolutionListDialog.cc CorrelationListDialog.cc
DataDialog.cc DestinationDialog.cc Dialog.cc DifferencesListDialog.cc Ellipse.cc
ExplorerDialog.cc ExplorerListView.cc ExportDialog.cc FFTListDialog.cc FileInfoDialog.cc FilterListDialog.cc
FilterAUDIOFILE.cc FilterNETCDF.cc FilterCDF.cc FilterHDF5.cc FilterMAGICK.cc FilterKexiDB.cc
FitListDialog.cc FunctionDialog.cc
Graph.cc Graph2D.cc Graph3D.cc Graph4D.cc GraphM.cc GraphIMAGE.cc GraphL.cc GraphList.cc GraphListView.cc
GraphListDialog.cc HankelListDialog.cc HistListDialog.cc History.cc InfoDialog.cc ImageListDialog.cc
ImageMagickDialog.cc ImportDialog.cc ImportOPJ.cc IntegrationListDialog.cc InterpolationListDialog.cc Label.cc 
LabPlotDialog.cc
LabPlotPart.cc Legend.cc LegendDialog.cc LImage.cc Line.cc ListDialog.cc ListPlotDialog.cc LRange.cc LTable.cc LTableItem.cc
MainWin.cc ModuleFactory.cc NoiseListDialog.cc
ObjectDialog.cc OperationsListDialog.cc OverlayPlotDialog.cc PeakListDialog.cc PeriodicListDialog.cc
Plot.cc Plot2D.cc Plot2DSimple.cc Plot2DSurface.cc Plot3D.cc PlotPie.cc PlotPolar.cc PlotTernary.cc PlotQWT3D.cc
PlotDialog.cc PlotSettingsDialog.cc
Point.cc Point3D.cc Point4D.cc PointL.cc Project.cc
ProjectDialog.cc PruneListDialog.cc PstoEditDialog.cc Rect.cc RegressionListDialog.cc RichTextWidget.cc RInterface.cc
SeasonalListDialog.cc SmoothListDialog.cc Spreadsheet.cc SpreadsheetPropertiesDialog.cc SpreadsheetValuesDialog.cc
Style.cc SummaryRListDialog.cc Symbol.cc TestsRListDialog.cc TitleDialog.cc WaveletListDialog.cc Worksheet.cc
WorksheetDialog.cc WrapperFactory.cc)

set(LabPlot_MOC_SRC AddGraphDialog.h ArrangePlotDialog.h AverageListDialog.h AxesDialog.h
CapabilityListDialog.h
CompressListDialog.h ConfigureDialog.h ConvolutionListDialog.h CorrelationListDialog.h
DataDialog.h DestinationDialog.h Dialog.h DifferencesListDialog.h
ExplorerDialog.h ExplorerListView.h ExportDialog.h FFTListDialog.h FileInfoDialog.h FilterListDialog.h
FitListDialog.h FunctionDialog.h GraphListView.h
GraphListDialog.h HankelListDialog.h HistListDialog.h ImageListDialog.h
ImageMagickDialog.h ImportDialog.h IntegrationListDialog.h InterpolationListDialog.h LabPlotDialog.h
LabPlotPart.h LegendDialog.h ListDialog.h ListPlotDialog.h LTable.h
MainWin.h NoiseListDialog.h
ObjectDialog.h OperationsListDialog.h OverlayPlotDialog.h PeakListDialog.h PeriodicListDialog.h
PlotDialog.h PlotSettingsDialog.h
ProjectDialog.h PruneListDialog.h PstoEditDialog.h RegressionListDialog.h RichTextWidget.h
SeasonalListDialog.h SmoothListDialog.h Spreadsheet.h SpreadsheetPropertiesDialog.h SpreadsheetValuesDialog.h
SummaryRListDialog.h TestsRListDialog.h TitleDialog.h WaveletListDialog.h Worksheet.h
WorksheetDialog.h WrapperFactory.h)

###################################################

LINK_DIRECTORIES(${KDE3_LIB_DIR} )

set (parser_FILE parser)

add_custom_command (OUTPUT ${parser_FILE}.c
                   COMMAND bison ARGS ${parser_FILE}.y
                   COMMAND mv ARGS ${parser_FILE}.tab.c ${parser_FILE}.c
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

# needs *.moc included
# KDE3_AUTOMOC()

add_definitions ('-DLVERSION=\"1.6.0.pre3\"')
add_definitions (${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

QT_WRAP_CPP (LabPlot LabPlot_SRC ${LabPlot_MOC_SRC})

add_library (LabPlot SHARED ${LabPlot_SRC})
set_target_properties (LabPlot PROPERTIES VERSION 1.6.0 SOVERSION 1 )

add_executable (LabPlot_exe LabPlot.cc LabPlotSplash.cc)
set_target_properties (LabPlot_exe PROPERTIES OUTPUT_NAME LabPlot)
target_link_libraries (LabPlot_exe ${QT_LIBRARIES} ${KDE3_LIBRARIES} ${QT_AND_KDECORE_LIBS} -lkparts -lkdeprint -lLabPlot -lLabPlotcephes -lorigin ${GSL_LIBRARY})
