## labplot 1.6.0.2

=== CMakeLists.txt ===
project (LabPlot)

# The version number.
set (Project_VERSION_MAJOR 2)
set (Project_VERSION_MINOR 0)
set (Project_VERSION_MICRO 0)


INCLUDE(FindX11)
INCLUDE(FindQt3)
INCLUDE(FindKDE3)
INCLUDE(FindImageMagick)

# check for gsl
FIND_LIBRARY(GSL_LIBRARY
  NAMES gsl
  PATHS /lib /usr/lib /usr/local/lib
  DOC "GNU scientific library"
)

IF(GSL_LIBRARY)
MESSAGE ("-- Found GNU Scientific Library : ${GSL_LIBRARY}" )
# doesn't work : 
# SET(HAVE_GSL 1)
add_definitions ('-DHAVE_GSL=1')
# TODO : check version
ENDIF(GSL_LIBRARY)


add_definitions(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

# /usr/local/include for GSL
INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${KDE3_INCLUDE_DIR} /usr/local/include src liborigin)

add_subdirectory (cephes)
add_subdirectory (liborigin)
add_subdirectory (src)
