=== doc-translations/es_labplot2/labplot2/CMakeLists.txt ===
KDOCTOOLS_CREATE_HANDBOOK( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es/ SUBDIR labplot2)
