=== debian/changelog ===
labplot (2.3.0-2) unstable; urgency=medium

  * Backport upstream commit 3b69133fcf5a62f46d33a1e3adc8e44c854517d7 to fix
    the HDF5 detection on architecture different than amd64; patch
    upstream_cmake-do-not-hardcode-libdir-for-hdf5.patch.
  * Add the libhdf5-dev build dependency, explicit and which should now work
    fine on any architecture.
  * Replace the deprecated kio-dev build dependency with libkf5kio-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Oct 2016 12:18:23 +0200

labplot (2.3.0-1) unstable; urgency=medium

  * New upstream release:
    - fix build with newer libstdc++ (Closes: #830454)
  * Update Vcs-* fields.
  * Update the patches:
    - upstream_Include-cmath-for-std-isfinite.patch: drop, backported from
      upstream
  * Add the libfftw3-dev build dependency, used by the new version.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jul 2016 07:27:31 +0200

labplot (2.2.0-1) unstable; urgency=medium

  * Re-add back to Debian.
  * Backport upstream commit e3b55c7f8ff492e2db27794af53a8ad36fcc3c79 to fix
    build; patch upstream_Include-cmath-for-std-isfinite.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 21 May 2016 07:51:45 +0200
