=== debian/watch ===
version=3
http://download.kde.org/stable/labplot/([\d.]+)/labplot-([\d.]+)-kf5\.tar\.xz
